REM Sample batch file for running BFE under the d'Bridge mailer
REM Thanks to Herb Mellinger for supplying this gem.... :-)
REM See the DBSAMP.ZIP archive for a complete setup running WildCat!
REM under BFE and d'Bridge.

echo           **** D'Bridge is coming so have a BALL ****


echo off

          CTTY CON
          set dszlog=G:\robofx\dsz2.log
          set tick=G:\ti\tic.cfg
          set dszport=1
          rem call s.bat


rem echo          Set Fossil Driver Parameter before we go in....


rem DEVICEHIGH=C:\X00.SYS E B,0,38400 T=4096 R=4096 F=8


          F:
          cd\bin
          H:
          cd\gc
          G:
          cd\db

:TOP

echo: Checking For Tick Files....

       if exist G:\db\files\*.tic goto Tick
       cd\
       goto dbridge



:DBRIDGE
  G:
  cd\db
  db.exe

  if errorlevel 255 goto TOP
  if errorlevel 193 goto 384BAUD
  if errorlevel 192 goto 192BAUD
  if errorlevel 185 goto ERROR
  if errorlevel 168 goto 168BAUD
  if errorlevel 144 goto 144BAUD
  if errorlevel 120 goto 120BAUD
  if errorlevel 96  goto 96BAUD
  if errorlevel 72  goto 72BAUD
  if errorlevel 50  goto LOCAL
  if errorlevel 48  goto 48BAUD
  if errorlevel 24  goto 24BAUD
  if errorlevel 20  goto EVENT

  goto end



:EVENT

       CD\DB
       call pack.bat


:LOCAL

        cd\DB\BFE
        BFE -p0 -s0 -cMAIN.CTL MAIN.GBL
        if errorlevel 255 goto TOP
        cd\robofx
        if errorlevel 11 robofx -LOCAL -16COL -NODE 1 -NOSOUND

        goto top



rem :384BAUD
       cd\DB\BFE
       BFE -p1 -s38400 -cMAIN.CTL MAIN.GBL
       if errorlevel 255 goto TOP
       if errorlevel 12 goto 384GAP
       if errorlevel 11 goto 384RBO
       goto after_bbs

rem :192BAUD
       cd\db\bfe
       BFE -p1 -s19200 -cMAIN.CTL MAIN.GBL
       if errorlevel 255 goto TOP
       if errorlevel 12 goto 192GAP
       if errorlevel 11 goto 193RBO
       goto after_bbs

rem :168BAUD
       cd\db\bfe
       BFE -p1 -s16800 -cMAIN.CTL MAIN.GBL
       if errorlevel 255 goto TOP
       if errorlevel 12 goto 168GAP
       if errorlevel 11 goto 168RBO
       goto after_bbs

:144BAUD

        cd\db\bfe
        BFE -p1 -s14400 -cMAIN.CTL MAIN.GBL
        if errorlevel 255 goto TOP
        if errorlevel 12 goto 144GAP
        if errorlevel 11 goto 144RBO
        goto after_bbs

:120BAUD

        cd\db\bfe
        BFE -p1 -s12000 -cMAIN.CTL MAIN.GBL
        if errorlevel 255 goto TOP
        if errorlevel 12 goto 120GAP
        if errorlevel 11 goto 120RBO
        goto after_bbs

:96BAUD
       
        cd\db\bfe
        BFE -p1 -s9600 -cMAIN.CTL MAIN.GBL
        if errorlevel 255 goto TOP
        if errorlevel 12 goto 96GAP
        if errorlevel 11 goto 96RBO
        goto after_bbs
   
:72BAUD

       
        cd\db\bfe
        BFE -p1 -s7200 -cMAIN.CTL MAIN.GBL
        if errorlevel 255 goto TOP
        if errorlevel 12 goto 72GAP
        if errorlevel 11 goto 72RBO
        goto after_bbs

:48BAUD

        cd\db\bfe
        BFE -p1 -s4800 -cMAIN.CTL MAIN.GBL
        if errorlevel 255 goto TOP
        if errorlevel 12 goto 48GAP
        if errorlevel 11 goto 48RBO
        goto after_bbs

:24BAUD

        cd\db\bfe
        BFE -p1 -s2400 -cMAIN.CTL MAIN.GBL
        if errorlevel 255 goto TOP
        if errorlevel 12 goto 24GAP
        if errorlevel 11 goto 24RBO
        goto after_bbs


rem :384GAP

rem :384RBO

rem :192GAP

rem :192RBO

rem :168GAP

rem :168RBO

:144RBO

rem             ****************************
rem             * CONNECT 14400 Baud RBO   *
rem             ****************************

       cd\robofx
       ROBOFX -LOCK 38400 -BAUD 14400 -16COL -NODE 1 -ONLINE -NOSOUND
       goto after_bbs


:144GAP

rem             **************************
rem             * CONNECT 14400 Baud GAP *
rem             **************************
      cd\gapn1
      gapbbs 38400 0 0 14400 0 0 0
      goto after_bbs


:120RBO

rem             ****************************
rem             * CONNECT 12000 Baud RBO   *
rem             ****************************

       cd\robofx
       ROBOFX -LOCK 38400 -BAUD 12000 -16COL -NODE 1 -ONLINE -NOSOUND
       goto after_bbs


:120GAP

rem             ****************************
rem             *   CONNECT 12000 Baud GAP *
rem             ****************************
      cd\gapn1
      gapbbs 38400 0 0 12000 0 0 0
      goto after_bbs


:96RBO

rem             ****************************
rem             *  CONNECT 9600 Baud RBO   *
rem             ****************************

       cd\robofx
       ROBOFX -LOCK 38400 -BAUD 9600 -16COL -NODE 1 -ONLINE -NOSOUND
       goto after_bbs


:96GAP

rem             ****************************
rem             *   CONNECT 9600 Baud GAP  *
rem             ****************************

      cd\gapn1
      gapbbs 38400 0 0 9600 0 0 0
      goto after_bbs



:72RBO

rem             *****************************
rem             * CONNECT  7200 Baud  RBO   *
rem             *****************************


       cd\robofx
       ROBOFX -LOCK 38400 -BAUD 7200 -16COL -NODE 1 -ONLINE -NOSOUND
       goto after_bbs


:72GAP

rem             ***************************
rem             * CONNECT 7200 Baud  GAP  *
rem             ***************************

      cd\gapn1
      gapbbs 38400 0 0 7200 0 0 0
      goto after_bbs



:48RBO
    
rem             **************************
rem             * CONNECT 4800 Baud RBO  *
rem             **************************


       cd\robofx
       ROBOFX -LOCK 38400 -BAUD 4800 -16COL -NODE 1 -ONLINE -NOSOUND
       goto after_bbs


:48GAP

rem             *************************
rem             * CONNECT 4800 Baud GAP *
rem             *************************

      cd\gapn1
      gapbbs 38400 0 0 4800 0 0 0
      goto after_bbs



:24RBO


rem             ***************************
rem             *  CONNECT 2400 Baud RBO  *
rem             ***************************


       cd\robofx
       ROBOFX -LOCK 38400 -BAUD 2400 -16COL -NODE 1 -ONLINE -NOSOUND
       goto after_bbs


:24GAP

rem             ***************************
rem             *  CONNECT 2400 Baud GAP  *
rem             ***************************

      cd\gapn1
      gapbbs 38400 0 0 2400 0 0 0
      goto after_bbs


:LOG

             *********************************
             * Deleting/Processing LOG files *
             *********************************

cd\db
       del dbridge.log

     goto TOP







:TICK

             ***************************************
             * Processing INCOMMING FILES via TICK *
             ***************************************


       cd\ti
       tick  > G:\ti\tick.log


   goto AFTER_BBS






:AFTER_BBS

         cd\db
         goto TOP


:ERROR
        echo. >> ROBO_%NODE%.LOG
        echo. ROBOFX.EXE HAD A FATAL ERROR!  >> ROBO_%NODE%.LOG
        echo. >> ROBO_%NODE%.LOG
        echo.
        echo. RoboBoard/FX HAD A FATAL ERROR!!!!
        echo.
        cd\db

:END

        cd\DB
